using System;
using Newtonsoft.Json;

namespace isnd.ViewModels
{
    public class CatalogRegistration
    {
        [JsonProperty("@id")]
        public string Id { get; set; }


        [JsonProperty("catalogEntry")]
        public string CatalogEntry { get; set; }

        [JsonProperty("listed")]
        public bool Listed { get; set; } = true;

        [JsonProperty("published")]
        public DateTime CommitTimeStamp { get; set; }

        [JsonProperty("registration")]
        public string registration { get; set; }

    }
}